# Amuse: amuse::ADSRDLS Struct Reference

amuse::ADSRDLS Struct Reference

`#include <AudioGroupPool.hpp>`

Collaboration diagram for amuse::ADSRDLS:

## Public Member Functions

double | getAttack () const
double | getDecay () const
double | getSustain () const
double | getRelease () const
double | getVelToAttack (int8_t vel) const
double | getKeyToDecay (int8_t note) const

## Public Attributes

uint32_t | attack
uint32_t | decay
uint16_t | sustain
uint16_t | release
uint32_t | velToAttack
uint32_t | keyToDecay

## Detailed Description

Defines phase-based volume curve for macro volume control (modified DLS standard)

Definition at line 41 of file AudioGroupPool.hpp.

The documentation for this struct was generated from the following file:

- include/amuse/AudioGroupPool.hpp